   COGRE is a package that enables Emacs to display UML diagrams in a
text buffer.  Any kind of graph can be supported through object
inheritance via EIEIO eieio.

   Warning: Very little in this manual has been written.

Getting Started
***************

   There are three basic parts to any COGRE interface.

  1. Graph The graph consists of a buffer, and all child elements in
     that graph.  The graph is treated as any other Emacs buffer.  When
     that buffer is selected, Graph editing commands are available.

  2. Node A Node consists of a square region of screen space, and
     usually a name.  Nodes can be anything, but common examples are
     Classes, Packages, or other "object like" things.

  3. Link A Link is a line that connects two nodes.  A link may not
     exist without a node at both ends.  When a node is deleted, all
     links connected to it in some way are also deleted.

Class Diagrams
**************

   Add text here

Semantic Support
****************

   Add text here